//@ts-ignore
import { ToolbarItem } from "@grapecity/viewer-core";
import { GcPdfViewer } from "../..";
import { SecondToolbarControl } from "./SecondToolbarControl";
import { SecondToolbarLayoutMode } from "./types";
/**
 * SecondToolbar API.
 **/
export declare class SecondToolbar {
    private _viewer;
    private _layoutMode;
    /**
     * Available toolbar items.
     **/
    items: {
        [key: string]: ToolbarItem;
    };
    /**
     * Second toolbar control.
     **/
    secondToolbarControl: SecondToolbarControl;
    private _marginTop;
    /**
     * Constructor.
     * @param _viewer
     */
    constructor(_viewer: GcPdfViewer);
    /**
     * Indicates if the second toolbar is currently displayed.
     **/
    get isShown(): boolean;
    /**
    * Active second toolbar layout type.
    **/
    get layoutMode(): SecondToolbarLayoutMode;
    /**
    * Active second toolbar layout type.
    **/
    set layoutMode(mode: SecondToolbarLayoutMode);
    get marginTop(): number;
    set marginTop(val: number);
    /**
     * Register toolbar item.
     * @param toolbarItem
     */
    addItem(toolbarItem: ToolbarItem): void;
    /**
     * Show second toolbar.
     * Available toolbar keys:
     * @param toolbarKey
     */
    show(mode: SecondToolbarLayoutMode | string): Promise<void>;
    /**
     * Hide second toolbar.
     **/
    hide(): void;
    raiseStateChanged(): void;
    private static createControl;
}
